Page MenuHomePhabricator

MWException in Special:RevisionReview (sq.wikipedia)
Closed, ResolvedPublic

Description

As of today there is a problem in sq.wikipedia, when I try to revert/reject edits, it throw an error "MWException".

Details

Related Gerrit Patches:
mediawiki/extensions/FlaggedRevs : wmf/1.28.0-wmf.20Fix I9839283c: new_text is actually a Content object
mediawiki/extensions/FlaggedRevs : masterFix I9839283c: new_text is actually a Content object

Event Timeline

Liridon created this task.Sep 22 2016, 9:30 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 22 2016, 9:30 PM

Please don't file these sorts of things as security bugs

2016-09-22 21:25:58 [V@RMZgpAIDkAAAL6y8kAAACX] mw1187 sqwiki 1.28.0-wmf.20 exception ERROR: [V@RMZgpAIDkAAAL6y8kAAACX] /wiki/Speciale:RevisionReview   MWException from line 53 of /srv/mediawiki/php-1.28.0-wmf.20/includes/content/TextContent.php: TextContent expects a string in the constructor. {"exception_id":"V@RMZgpAIDkAAAL6y8kAAACX"} 
[Exception MWException] (/srv/mediawiki/php-1.28.0-wmf.20/includes/content/TextContent.php:53) TextContent expects a string in the constructor.
  #0 /srv/mediawiki/php-1.28.0-wmf.20/includes/content/WikitextContent.php(37): TextContent->__construct(WikitextContent, string)
  #1 /srv/mediawiki/php-1.28.0-wmf.20/includes/content/TextContentHandler.php(121): WikitextContent->__construct(WikitextContent)
  #2 /srv/mediawiki/php-1.28.0-wmf.20/includes/content/ContentHandler.php(185): TextContentHandler->unserializeContent(WikitextContent, NULL)
  #3 /srv/mediawiki/php-1.28.0-wmf.20/extensions/FlaggedRevs/business/RevisionReviewForm.php(340): ContentHandler::makeContent(WikitextContent, Title)
  #4 /srv/mediawiki/php-1.28.0-wmf.20/extensions/FlaggedRevs/business/FRGenericSubmitForm.php(190): RevisionReviewForm->doSubmit()
  #5 /srv/mediawiki/php-1.28.0-wmf.20/extensions/FlaggedRevs/frontend/specialpages/actions/RevisionReview_body.php(110): FRGenericSubmitForm->submit()
  #6 /srv/mediawiki/php-1.28.0-wmf.20/includes/specialpage/SpecialPage.php(522): RevisionReview->execute(NULL)
  #7 /srv/mediawiki/php-1.28.0-wmf.20/includes/specialpage/SpecialPageFactory.php(584): SpecialPage->run(NULL)
  #8 /srv/mediawiki/php-1.28.0-wmf.20/includes/MediaWiki.php(283): SpecialPageFactory::executePath(Title, RequestContext)
  #9 /srv/mediawiki/php-1.28.0-wmf.20/includes/MediaWiki.php(861): MediaWiki->performRequest()
  #10 /srv/mediawiki/php-1.28.0-wmf.20/includes/MediaWiki.php(522): MediaWiki->main()
  #11 /srv/mediawiki/php-1.28.0-wmf.20/index.php(43): MediaWiki->run()
  #12 /srv/mediawiki/w/index.php(3): include(string)
  #13 {main}
Restricted Application added a project: Security. · View Herald TranscriptSep 22 2016, 9:38 PM
Krenair triaged this task as Unbreak Now! priority.Sep 22 2016, 9:39 PM
Krenair removed a project: Security.
Krenair changed the visibility from "Custom Policy" to "Public (No Login Required)".
Restricted Application added subscribers: Jay8g, Luke081515, TerraCodes. · View Herald TranscriptSep 22 2016, 9:39 PM
Restricted Application removed a subscriber: TerraCodes. · View Herald TranscriptSep 22 2016, 9:47 PM

Change 312418 had a related patch set uploaded (by Alex Monk):
Fix I9839283c: new_text is actually a Content object

https://gerrit.wikimedia.org/r/312418

Change 312423 had a related patch set uploaded (by Alex Monk):
Fix I9839283c: new_text is actually a Content object

https://gerrit.wikimedia.org/r/312423

Change 312418 merged by jenkins-bot:
Fix I9839283c: new_text is actually a Content object

https://gerrit.wikimedia.org/r/312418

Thank you for reporting this, @Liridon! And thank you Alex and Aaron for the fast fix.

Change 312423 merged by jenkins-bot:
Fix I9839283c: new_text is actually a Content object

https://gerrit.wikimedia.org/r/312423

Krenair closed this task as Resolved.Sep 23 2016, 12:10 AM
Krenair claimed this task.
Krenair added a subscriber: aaron.

Fixed. Thanks @Liridon and @aaron.

Thanks guys for fixing it very quick.